const presetRules = [
  {
    name: "rule 73",
    rules: {
      100: 0,
      101: 0,
      110: 1,
      111: 0,
      "011": 1,
      "010": 0,
      "001": 0,
      "000": 1,
    },
  },
  {
    name: "rule 86",
    rules: {
      100: 1,
      101: 0,
      110: 0,
      111: 1,
      "011": 0,
      "010": 1,
      "001": 0,
      "000": 1,
    },
  },
  {
    name: "rule 90",
    rules: {
      100: 1,
      101: 0,
      110: 1,
      111: 0,
      "011": 0,
      "010": 0,
      "001": 1,
      "000": 0,
    },
  },
  {
    name: "rule 45?",
    rules: {
      100: 0,
      101: 0,
      110: 1,
      111: 0,
      "011": 1,
      "010": 0,
      "001": 1,
      "000": 1,
    },
  },
  {
    name: "rule 54?",
    rules: {
      100: 1,
      101: 0,
      110: 1,
      111: 1,
      "011": 0,
      "010": 1,
      "001": 1,
      "000": 0,
    },
  },
  {
    name: "unknown rule",
    rules: {
      100: 0,
      101: 0,
      110: 0,
      111: 1,
      "011": 0,
      "010": 0,
      "001": 1,
      "000": 1,
    },
  },
];

const initialStates = [
  {
    id: "onecell",
    name: "One cell at center",
    description: "State with a single cell in the middle",
  },
  {
    id: "random",
    name: "Random cell",
    description: "State populated with random cells",
  },
];

export { presetRules, initialStates };
